> ## Documentation Index
> Fetch the complete documentation index at: https://wb-21fd5541-docs-3071-org-scoped-api-keys.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtenir une tâche d'entraînement

> Obtenir une tâche d'entraînement par ID.



## OpenAPI

````yaml fr/serverless-training/api-reference/openapi.json GET /v1/preview/training-jobs/{training_job_id}
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers:
  - url: https://api.training.wandb.ai
security: []
paths:
  /v1/preview/training-jobs/{training_job_id}:
    get:
      tags:
        - training-jobs
      summary: Obtenir la tâche d'entraînement
      description: Obtenir une tâche d'entraînement par ID.
      operationId: get_training_job_v1_preview_training_jobs__training_job_id__get
      parameters:
        - in: path
          name: training_job_id
          required: true
          schema:
            title: Training Job Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingJobResponse'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBearer: []
components:
  schemas:
    TrainingJobResponse:
      description: Schéma de la réponse de TrainingJob.
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        id:
          format: uuid
          title: Id
          type: string
        model_id:
          format: uuid
          title: Model Id
          type: string
        progress:
          anyOf:
            - type: number
            - type: 'null'
          title: Progress
        status:
          $ref: '#/components/schemas/TrainingJobStatus'
        training_end:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Training End
        training_start:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Training Start
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - model_id
        - status
        - progress
        - error_message
        - training_start
        - training_end
        - created_at
        - updated_at
      title: TrainingJobResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TrainingJobStatus:
      description: Énumération des statuts des tâches d'entraînement.
      enum:
        - PENDING
        - RUNNING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TrainingJobStatus
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````